      SUBROUTINE DAMP2(Y,S,TEM)
CJPB  COMPLEX*8 Y( 17 , 17 ),TEM( 17 , 17 )
      COMPLEX   Y( 17 , 17 ),TEM( 17 , 17 )
      DIMENSION S( 17 , 17 )
      DO 45 LL=1, 17
      N=LL-2
      DO 43 I=1, 17
      N=N+1
      IF(N.LT. 17 ) GO TO 43
      Y(I,LL)=Y(I,LL)+CMPLX(S(I,LL)* REAL(TEM(I,LL)),
     1                      S(I,LL)*AIMAG(TEM(I,LL)))
 43   CONTINUE
 45   CONTINUE
      RETURN
      END
